remove version properties
authorOliver Lietz <olli@apache.org>
Sat, 17 Mar 2018 20:46:51 +0000 (21:46 +0100)
committerOliver Lietz <olli@apache.org>
Sat, 17 Mar 2018 20:46:51 +0000 (21:46 +0100)
pom.xml

diff --git a/pom.xml b/pom.xml
index 63ca611..41986c7 100644 (file)
--- a/pom.xml
+++ b/pom.xml
   <name>Apache Sling - Karaf Integration Tests</name>
   <description>Integration Tests for Apache Sling Karaf</description>
 
-  <properties>
-    <org.apache.jackrabbit.version>2.16.1</org.apache.jackrabbit.version>
-    <org.apache.karaf.version>4.2.0.M2</org.apache.karaf.version>
-    <org.ops4j.pax.exam.version>4.11.0</org.ops4j.pax.exam.version>
-  </properties>
-
   <scm>
     <connection>scm:git:https://gitbox.apache.org/repos/asf/sling-org-apache-sling-karaf-integration-tests.git</connection>
     <developerConnection>scm:git:https://gitbox.apache.org/repos/asf/sling-org-apache-sling-karaf-integration-tests.git</developerConnection>
@@ -77,7 +71,7 @@
     <dependency>
       <groupId>org.apache.karaf.features</groupId>
       <artifactId>org.apache.karaf.features.core</artifactId>
-      <version>${org.apache.karaf.version}</version>
+      <version>4.2.0.M2</version>
       <scope>provided</scope>
     </dependency>
     <!-- Apache Sling -->
     <dependency>
       <groupId>org.apache.jackrabbit</groupId>
       <artifactId>jackrabbit-jcr-commons</artifactId>
-      <version>${org.apache.jackrabbit.version}</version>
+      <version>2.16.1</version>
       <scope>test</scope>
     </dependency>
     <!-- bnd -->
     <dependency>
       <groupId>org.ops4j.pax.exam</groupId>
       <artifactId>pax-exam</artifactId>
-      <version>${org.ops4j.pax.exam.version}</version>
+      <version>4.11.0</version>
     </dependency>
     <dependency>
       <groupId>org.ops4j.pax.exam</groupId>
       <artifactId>pax-exam-container-karaf</artifactId>
-      <version>${org.ops4j.pax.exam.version}</version>
+      <version>4.11.0</version>
     </dependency>
     <dependency>
       <groupId>org.ops4j.pax.exam</groupId>
       <artifactId>pax-exam-junit4</artifactId>
-      <version>${org.ops4j.pax.exam.version}</version>
+      <version>4.11.0</version>
       <scope>test</scope>
     </dependency>
     <dependency>
       <groupId>org.apache.karaf</groupId>
       <artifactId>apache-karaf</artifactId>
       <type>tar.gz</type>
-      <version>${org.apache.karaf.version}</version>
+      <version>4.2.0.M2</version>
       <scope>test</scope>
       <exclusions>
         <exclusion>